#ifdef GL_ES
precision mediump float;
#endif

uniform float u_time;
uniform vec2 u_resolution;


void mainImage(out vec4 fragColor, in vec2 fragCoord)
{
    // Normalized pixel coordinates (from 0 to 1)
    vec2 uv = (fragCoord - .5 * u_resolution.xy) / u_resolution.y;
    uv = uv * 2.;
    float uv_len = length(uv);
    uv = uv / uv_len;
    uv = uv / uv_len;
    vec3 col = vec3(0., 0., 0.);
    if (fract(uv.x * 5.  ) > .5) {
        col = col * -1. + 1.;
    }
    if (fract(uv.y * 5. + .9 * u_time) > .5) {
        col = col * -1. + 1.;
    }
    fragColor = vec4(col, 1.0);
}

void main() {
    mainImage(gl_FragColor, gl_FragCoord.xy);
}
